﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Threading.Tasks;

namespace RestCalculatorServiceCore31.Model
{//Datacontract not necessary as we are using JSON
//Why use a Datacontract ? Answer here:
//https://docs.microsoft.com/en-us/dotnet/framework/wcf/feature-details/data-member-order
//How to order data member? Answer here:
//https://stackoverflow.com/questions/4836683/when-to-use-datacontract-and-datamember-attributes

    [DataContract]
    public class Data

    {
        [DataMember]
        public Int32 A { get; set; }
        [DataMember]
        public Int32 B { get; set; }

        public Data() { }
        public Data(Int32 a, Int32 b)
        {
            A = a; B = b;
        }

    }
}


